Subject: Re: Problem with windres under windows '95
From: [email-masked] (Jon & Sue Trauntvein)

15 Jan 1999 00:19:01 -0800
Message-ID: <015301be402d$4d2db660$e8e228ce.cygnus.gnu-win32@jont>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>
Cc: "gnu-win32" <[email-masked]>

The message that I am getting is as follows:

    windres viconed.rc /mnt/proj/v/obj/gnuwin32/viconrc.o

    windres: warning: preprocessor failed
    windres: no resources

For the following file:

-- begin resource file --
/***************************************************************************
*

V.RC
  Minimal .RC for V applications

****************************************************************************
*/

vAppIcon ICON viconed.ico
vWindowIcon ICON vwindow.ico

-- end file --

-----Original Message-----
From: bowman <[email-masked]>
To: Jon Trauntvein <[email-masked]>
Date: Thursday, January 14, 1999 5:46 PM
Subject: Re: Problem with windres under windows '95

>
>
>Jon Trauntvein wrote:
>>
>> I have discovered that the version of windres that comes with beta
>> 20.1 will not work under windows '95. It complains that it cannot run
>> the preprocessor.
>
>what is the error message?  I have successfully used windres under
>win95, but have seen the preprocessor fail when it finds material in the
>.rc or #includes that it cannot handle. Specifically, it doesn't like
>struct or function declarations, or much else that isn't a strict
>#define. I hit the problem when trying to pick up the TBS_* styles from
>the new common controls.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".